### Method

# Soup Message get_remote_address

#### Declaration [src]

    GSocketAddress*
    soup_message_get_remote_address (
      SoupMessage* msg
    )

#### Description [src]

Get the remote `GSocketAddress` of the connection associated with the message.

The returned address can be `NULL` if the connection hasn’t been established yet, or the resource was loaded from the disk cache. In case of proxy connections, the remote address returned is a `GProxyAddress`. If `SoupSession:remote-connectable` is set the returned address id for the connection to the session’s remote connectable.

Gets property | `Soup.Message:remote-address`

#### Return value

Type: `GSocketAddress`

A `GSocketAddress` or `NULL` if the connection hasn’t been established.

The data is owned by the instance.
The return value can be `NULL`.